Bug 1173430 - Allow multiple attachments to be added when creating or editing a bug
Summary: Allow multiple attachments to be added when creating or editing a bug
Keywords:
Status: NEW
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 4.4
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Jeff Fearn 🐞
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks: UI-Modernization
TreeView+ depends on / blocked
 
Reported: 2014-12-12 06:53 UTC by yuli wang
Modified: 2020-04-27 23:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 1427621 -- RESOLVED Support uploading multiple attachments from new-bug 2020-04-22 14:33:59 UTC

Description yuli wang 2014-12-12 06:53:09 UTC
Description of problem:
As summary.

Version-Release number of selected component (if applicable):
4.4

How reproducible:
100%

Steps to Reproduce:
1.Create a new bug in bugzilla.
2.Add 1 attachments in the bug.
3.Try to add anther attachment in the bug.

Actual results:
if I want to add multiple attachments, I need save this bug, add attachment->save change->add attachment->save change. If I want to add more than 3 attachment, at least waste 1 minutes for each bug.

Expected results:
When creating a new bug, I can add multiple attachment before save the bug.

Additional info:

Comment 1 Jason McDonald 2014-12-12 09:03:03 UTC
I have had this issue occasionally too.  We are hoping to spend some time on fixing usability issues and modernising Bugzilla's user interface after we have upgraded to Bugzilla 5.0.  Ideally, we should be able to address this request in the upstream Bugzilla code.

Comment 4 Jeff Fearn 🐞 2018-06-26 01:22:42 UTC
This bug has missed the BZ5 feature freeze and has been bumped to 5.x.

Comment 5 Alasdair Kergon 2020-04-22 18:38:16 UTC
See also https://github.com/abrt/libreport/issues/619 ("I get 13 emails on every new abrt reported bugzilla, please make it 1 ") as, if reflected in the API, this would allow abrt to upload its many files in a single transaction and only generate a single email.


Note You need to log in before you can comment on or make changes to this bug.